// Copyright 2022 wanderer <a_mirre at utb dot cz>
// SPDX-License-Identifier: GPL-3.0-or-later

package xkcdreader

import (
	"testing"

	"git.dotya.ml/wanderer/go-xkcdreader/cmd"
)

func TestGreetingText(t *testing.T) {
	want := "welcome to " + cmd.GetAppName()
	got := makeGreeting()

	if got.Text != want {
		t.Errorf("Incorrect initial greeting, want: %q, got: %q", want, got.Text)
	}
}
